List IP addresses allowed to access the API
Returns a list of IP addresses ordered numerically.
GET
/
ipaddresses
List IP addresses allowed to access the API
curl --request GET \
--url https://api.equalsmoney.com/v2/ipaddresses \
--header 'Authorization: <api-key>'import requests
url = "https://api.equalsmoney.com/v2/ipaddresses"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.equalsmoney.com/v2/ipaddresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 200,
"offset": 100,
"count": 67,
"rows": [
{
"id": "2327f0d0-2cb5-4f31-8de2-b9d04036fdd9",
"ipaddressableId": "8365191f-08b8-4dc5-88fd-73fcd7fd41a1",
"ip": "8.8.8.8",
"description": "John Smith's home IP",
"ipaddressableType": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}Authorizations
Query Parameters
The maximum number of results to return.
Required range:
1 <= x <= 1000Example:
200
The number of items to skip before returning results.
Example:
100
Response
200 - application/json
OK
The total amount of records matching the querying when "limit" is ignored.
Example:
67
Show child attributes
Show child attributes
The maximum number of results to return.
Required range:
1 <= x <= 1000Example:
200
The number of items to skip before returning results.
Example:
100
Was this page helpful?
⌘I
List IP addresses allowed to access the API
